RDMnet::RPT::STATUS::status_string_data Struct Reference

7.5.3.1.3 Status String More...

`#include <rpt.h>`

Inheritance diagram for RDMnet::RPT::STATUS::status_string_data:
[legend]

## Public Member Functions

size_t | streamSize () const override
| status_string_data::streamSize More...
void | iStream (ACN::PDU::Stream) override
| unknown_rpt_uid_data::iStream More...
void | oStream (ACN::PDU::Stream) const override
| unknown_rpt_uid_data::oStream More...

## Public Attributes

std::string | status_string
| status message

## Detailed Description

7.5.3.1.3 Status String

## Member Function Documentation

## iStream()

void RDMnet::RPT::STATUS::status_string_data::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

unknown_rpt_uid_data::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void RDMnet::RPT::STATUS::status_string_data::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

unknown_rpt_uid_data::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t RDMnet::RPT::STATUS::status_string_data::streamSize | ( |  | ) | const

overridevirtual

status_string_data::streamSize

Returns

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/rpt/rpt.cpp